com.genesyslab.wfm7.API.service.calendar761

## Class CalTimeOffInformation

- java.lang.Object
- - com.genesyslab.wfm7.API.service.calendar761.CalTimeOffInformation

- All Implemented Interfaces:
    java.io.Serializable

      public class CalTimeOffInformation
      extends java.lang.Object
      implements java.io.Serializable

  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `private java.lang.Object` | `__equalsCalc`
    `private boolean` | `__hashCodeCalc`
    `private double` | `accruedHours` Accrued hours
    `private double` | `advanceHours` Advance (credit) hours
    `private int` | `agentID` Agent ID
    `private double` | `balance` Time Off balance hours for date
    `private double` | `bonusHours` Bonus hours
    `private double` | `carriedOverHours` Hours carried from previous period
    `private double` | `currentPeriodEnd` Current period end
    `private double` | `currentPeriodStart` Current period start
    `private double` | `currentYearTotal` Yearly Time Off balance hours
    `private double` | `declinedHours` Declined Time Off hours
    `private double` | `grantedHours` Granted Time Off hours
    `private double` | `partdayHours` Partial-day Exception count as Time Off hours
    `private double` | `preferredHours` Preferred Time Off hours
    `private double` | `scheduledHours` Scheduled Time Off hours
    `private int` | `timeOffTypeID` Time Off type ID

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `CalTimeOffInformation()`
    `CalTimeOffInformation(int agentID, int timeOffTypeID, double balance, double accruedHours, double bonusHours, double advanceHours, double carriedOverHours, double scheduledHours, double grantedHours, double preferredHours, double declinedHours, double partdayHours, double currentPeriodStart, double currentPeriodEnd, double currentYearTotal)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(java.lang.Object obj)`
    `double` | `getAccruedHours()` Gets the accruedHours value for this CalTimeOffInformation.
    `double` | `getAdvanceHours()` Gets the advanceHours value for this CalTimeOffInformation.
    `int` | `getAgentID()` Gets the agentID value for this CalTimeOffInformation.
    `double` | `getBalance()` Gets the balance value for this CalTimeOffInformation.
    `double` | `getBonusHours()` Gets the bonusHours value for this CalTimeOffInformation.
    `double` | `getCarriedOverHours()` Gets the carriedOverHours value for this CalTimeOffInformation.
    `double` | `getCurrentPeriodEnd()` Gets the currentPeriodEnd value for this CalTimeOffInformation.
    `double` | `getCurrentPeriodStart()` Gets the currentPeriodStart value for this CalTimeOffInformation.
    `double` | `getCurrentYearTotal()` Gets the currentYearTotal value for this CalTimeOffInformation.
    `double` | `getDeclinedHours()` Gets the declinedHours value for this CalTimeOffInformation.
    `double` | `getGrantedHours()` Gets the grantedHours value for this CalTimeOffInformation.
    `double` | `getPartdayHours()` Gets the partdayHours value for this CalTimeOffInformation.
    `double` | `getPreferredHours()` Gets the preferredHours value for this CalTimeOffInformation.
    `double` | `getScheduledHours()` Gets the scheduledHours value for this CalTimeOffInformation.
    `int` | `getTimeOffTypeID()` Gets the timeOffTypeID value for this CalTimeOffInformation.
    `int` | `hashCode()`
    `void` | `setAccruedHours(double accruedHours)` Sets the accruedHours value for this CalTimeOffInformation.
    `void` | `setAdvanceHours(double advanceHours)` Sets the advanceHours value for this CalTimeOffInformation.
    `void` | `setAgentID(int agentID)` Sets the agentID value for this CalTimeOffInformation.
    `void` | `setBalance(double balance)` Sets the balance value for this CalTimeOffInformation.
    `void` | `setBonusHours(double bonusHours)` Sets the bonusHours value for this CalTimeOffInformation.
    `void` | `setCarriedOverHours(double carriedOverHours)` Sets the carriedOverHours value for this CalTimeOffInformation.
    `void` | `setCurrentPeriodEnd(double currentPeriodEnd)` Sets the currentPeriodEnd value for this CalTimeOffInformation.
    `void` | `setCurrentPeriodStart(double currentPeriodStart)` Sets the currentPeriodStart value for this CalTimeOffInformation.
    `void` | `setCurrentYearTotal(double currentYearTotal)` Sets the currentYearTotal value for this CalTimeOffInformation.
    `void` | `setDeclinedHours(double declinedHours)` Sets the declinedHours value for this CalTimeOffInformation.
    `void` | `setGrantedHours(double grantedHours)` Sets the grantedHours value for this CalTimeOffInformation.
    `void` | `setPartdayHours(double partdayHours)` Sets the partdayHours value for this CalTimeOffInformation.
    `void` | `setPreferredHours(double preferredHours)` Sets the preferredHours value for this CalTimeOffInformation.
    `void` | `setScheduledHours(double scheduledHours)` Sets the scheduledHours value for this CalTimeOffInformation.
    `void` | `setTimeOffTypeID(int timeOffTypeID)` Sets the timeOffTypeID value for this CalTimeOffInformation.

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### agentID

          private int agentID

      Agent ID

    - #### timeOffTypeID

          private int timeOffTypeID

      Time Off type ID

    - #### balance

          private double balance

      Time Off balance hours for date

    - #### accruedHours

          private double accruedHours

      Accrued hours

    - #### bonusHours

          private double bonusHours

      Bonus hours

    - #### advanceHours

          private double advanceHours

      Advance (credit) hours

    - #### carriedOverHours

          private double carriedOverHours

      Hours carried from previous period

    - #### scheduledHours

          private double scheduledHours

      Scheduled Time Off hours

    - #### grantedHours

          private double grantedHours

      Granted Time Off hours

    - #### preferredHours

          private double preferredHours

      Preferred Time Off hours

    - #### declinedHours

          private double declinedHours

      Declined Time Off hours

    - #### partdayHours

          private double partdayHours

      Partial-day Exception count as Time Off hours

    - #### currentPeriodStart

          private double currentPeriodStart

      Current period start

    - #### currentPeriodEnd

          private double currentPeriodEnd

      Current period end

    - #### currentYearTotal

          private double currentYearTotal

      Yearly Time Off balance hours

    - #### __equalsCalc

          private java.lang.Object __equalsCalc

    - #### __hashCodeCalc

          private boolean __hashCodeCalc

  - ### Constructor Detail

    - #### CalTimeOffInformation

          public CalTimeOffInformation()

    - #### CalTimeOffInformation

          public CalTimeOffInformation(int agentID,
                               int timeOffTypeID,
                               double balance,
                               double accruedHours,
                               double bonusHours,
                               double advanceHours,
                               double carriedOverHours,
                               double scheduledHours,
                               double grantedHours,
                               double preferredHours,
                               double declinedHours,
                               double partdayHours,
                               double currentPeriodStart,
                               double currentPeriodEnd,
                               double currentYearTotal)

  - ### Method Detail

    - #### getAgentID

          public int getAgentID()

      Gets the agentID value for this CalTimeOffInformation.
      Returns:
        agentID Agent ID

    - #### setAgentID

          public void setAgentID(int agentID)

      Sets the agentID value for this CalTimeOffInformation.
      Parameters:
        `agentID` - Agent ID

    - #### getTimeOffTypeID

          public int getTimeOffTypeID()

      Gets the timeOffTypeID value for this CalTimeOffInformation.
      Returns:
        timeOffTypeID Time Off type ID

    - #### setTimeOffTypeID

          public void setTimeOffTypeID(int timeOffTypeID)

      Sets the timeOffTypeID value for this CalTimeOffInformation.
      Parameters:
        `timeOffTypeID` - Time Off type ID

    - #### getBalance

          public double getBalance()

      Gets the balance value for this CalTimeOffInformation.
      Returns:
        balance Balance value in hours

    - #### setBalance

          public void setBalance(double balance)

      Sets the balance value for this CalTimeOffInformation.
      Parameters:
        `balance` - Balance value in hours

    - #### getAccruedHours

          public double getAccruedHours()

      Gets the accruedHours value for this CalTimeOffInformation.
      Returns:
        accruedHours Number of arrued hours

    - #### setAccruedHours

          public void setAccruedHours(double accruedHours)

      Sets the accruedHours value for this CalTimeOffInformation.
      Parameters:
        `accruedHours` - Number of arrued hours

    - #### getBonusHours

          public double getBonusHours()

      Gets the bonusHours value for this CalTimeOffInformation.
      Returns:
        bonusHours Configured bonus hours

    - #### setBonusHours

          public void setBonusHours(double bonusHours)

      Sets the bonusHours value for this CalTimeOffInformation.
      Parameters:
        `bonusHours` - Configured bonus hours

    - #### getAdvanceHours

          public double getAdvanceHours()

      Gets the advanceHours value for this CalTimeOffInformation.
      Returns:
        advanceHours Configured advance hours

    - #### setAdvanceHours

          public void setAdvanceHours(double advanceHours)

      Sets the advanceHours value for this CalTimeOffInformation.
      Parameters:
        `advanceHours` - Configured advance hours

    - #### getCarriedOverHours

          public double getCarriedOverHours()

      Gets the carriedOverHours value for this CalTimeOffInformation.
      Returns:
        carriedOverHours Configured hours allowed to carry-over to the next period

    - #### setCarriedOverHours

          public void setCarriedOverHours(double carriedOverHours)

      Sets the carriedOverHours value for this CalTimeOffInformation.
      Parameters:
        `carriedOverHours` - Configured hours allowed to carry-over to the next period

    - #### getScheduledHours

          public double getScheduledHours()

      Gets the scheduledHours value for this CalTimeOffInformation.
      Returns:
        scheduledHours Scheduled Time Off hours

    - #### setScheduledHours

          public void setScheduledHours(double scheduledHours)

      Sets the scheduledHours value for this CalTimeOffInformation.
      Parameters:
        `scheduledHours` - Scheduled Time Off hours

    - #### getGrantedHours

          public double getGrantedHours()

      Gets the grantedHours value for this CalTimeOffInformation.
      Returns:
        grantedHours Requested granted Time Off hours

    - #### setGrantedHours

          public void setGrantedHours(double grantedHours)

      Sets the grantedHours value for this CalTimeOffInformation.
      Parameters:
        `grantedHours` - Requested granted Time Off hours

    - #### getPreferredHours

          public double getPreferredHours()

      Gets the preferredHours value for this CalTimeOffInformation.
      Returns:
        preferredHours Requested preferred Time Off hours

    - #### setPreferredHours

          public void setPreferredHours(double preferredHours)

      Sets the preferredHours value for this CalTimeOffInformation.
      Parameters:
        `preferredHours` - Requested preferred Time Off hours

    - #### getDeclinedHours

          public double getDeclinedHours()

      Gets the declinedHours value for this CalTimeOffInformation.
      Returns:
        declinedHours Declined Time Off hours

    - #### setDeclinedHours

          public void setDeclinedHours(double declinedHours)

      Sets the declinedHours value for this CalTimeOffInformation.
      Parameters:
        `declinedHours` - Declined Time Off hours

    - #### getPartdayHours

          public double getPartdayHours()

      Gets the partdayHours value for this CalTimeOffInformation.
      Returns:
        partdayHours Exception (count as Time Off) hours

    - #### setPartdayHours

          public void setPartdayHours(double partdayHours)

      Sets the partdayHours value for this CalTimeOffInformation.
      Parameters:
        `partdayHours` - Exception (count as Time Off) hours

    - #### getCurrentPeriodStart

          public double getCurrentPeriodStart()

      Gets the currentPeriodStart value for this CalTimeOffInformation.
      Returns:
        currentPeriodStart Current period start date

    - #### setCurrentPeriodStart

          public void setCurrentPeriodStart(double currentPeriodStart)

      Sets the currentPeriodStart value for this CalTimeOffInformation.
      Parameters:
        `currentPeriodStart` - Current period start date

    - #### getCurrentPeriodEnd

          public double getCurrentPeriodEnd()

      Gets the currentPeriodEnd value for this CalTimeOffInformation.
      Returns:
        currentPeriodEnd Current period end date

    - #### setCurrentPeriodEnd

          public void setCurrentPeriodEnd(double currentPeriodEnd)

      Sets the currentPeriodEnd value for this CalTimeOffInformation.
      Parameters:
        `currentPeriodEnd` - Current period end date

    - #### getCurrentYearTotal

          public double getCurrentYearTotal()

      Gets the currentYearTotal value for this CalTimeOffInformation.
      Returns:
        currentYearTotal Selected period total yearly hours

    - #### setCurrentYearTotal

          public void setCurrentYearTotal(double currentYearTotal)

      Sets the currentYearTotal value for this CalTimeOffInformation.
      Parameters:
        `currentYearTotal` - Selected period total yearly hours

    - #### equals

          public boolean equals(java.lang.Object obj)

      Overrides:
        `equals` in class `java.lang.Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `java.lang.Object`

Copyright © 2005-2016 Genesys Telecommunications Labs, Inc. All Rights Reserved.